# Query a specific payment profile This endpoint allows to query a payment profile associated with a specific customer, using both IDs. In case of success, the request will return a response with status 200. **GET** `/v1/customers/{customer_id}/payment-profiles/{payment_profile_id}` ## Request parameters ### Path - `customer_id` (string, required) Unique customer identifier for which the payment profile is being queried. It can be obtained by sending a request to the "Search clients" endpoint. - `payment_profile_id` (string, required) Unique payment profile identifier, associated with the customer. ## Response parameters - `id` (string, optional) Unique identifier of the payment profile. - `created_date` (string, optional) Creation date of the payment profile, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. - `last_updated_date` (string, optional) Last update date of the payment profile, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. - `description` (string, optional) Description of the customer's payment profile, that will be used to facilitate the identification of the nature of the charges linked to this profile within the integrator or seller's management ecosystem. - `max_day_overdue` (integer, optional) It sets the number of days to retry the payment processing in case of failure or initial rejection. For example, if you send "5" as value, new processing attempts will be made for the next 5 days after the first failure. In case the payment is processed before the setted days, the retry logic will be stopped. Value between 1 and 10. - `statement_descriptor` (string, optional) Description for the payment to be shown on the client's card statement. - `status` (string, optional) Current status of the payment profile in the system. The possible values are: Possible enum values: - `PENDING` Initial status when creating the profile with cards as payment method or if the profile is created without any payment method. It will remain in this status until the test payment is made, when it will pass to the status "READY" or "CANCELLED". - `READY` Status that indicates that the profile has a valid card identification and was created successfully. - `CANCELLED` Status that indicates that the profile was canceled because it does not have an approved payment method or because it cannot query the associated payment method. - `sequence_control` (string, optional) It defines whether the subscription data, such as the information that determines the payment sequence, should be sent manually ("MANUAL") or automatically ("AUTO"). - `payment_methods` (array, optional) It contains information about the payment methods associated with the profile. When there are two cards, one can contain the "token" and the other the "card_id". - `payment_methods[].payment_method_id` (string, optional) Unique identifier for the payment method, automatically generated. It helps to identify and differentiate each payment method, in case there are more than one registered. - `payment_methods[].id` (string, optional) Identifier of the payment method selected to make the payment. If it's a card payment, it will show the brand. - `payment_methods[].type` (string, optional) Type of payment method selected to make the payment. - `payment_methods[].card_id` (integer, optional) Unique identifier of the card declared as payment method, associated with the customer for which the payment profile is being queried. - `payment_methods[].status` (string, optional) Status of the payment method. It indicates if the payment method was tested and is ready for payment processing. The possible values are: Possible enum values: - `PENDING` Status assigned to approved card payments, whose response does not include their ID. The payment method remains pending due to an asynchronous card registration. - `READY` The payment method was tested and is ready for payment processing. - `REJECTED` The payment method was rejected in the test payment. - `DISABLED` The payment method was disabled. - `payment_methods[].default_method` (boolean, optional) It identifies if the payment method is the default for making payment attempts for that client. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | customer_id_mismatch | Request failed because the "customer_id" sent does not match the payment profile. Verify if the correct value was sent and try again. | | 400 | caller_id_mismatch | Request failed because the "caller_id" sent does not match the payment profile. Verify if the correct value was sent and try again. | | 400 | site_id_mismatch | Request failed because the "site_id" does not match the payment profile. Verify if the correct value was sent and try again. | | 400 | unknown_error_occurred | Unknown error. Contact Support for more information. | | 401 | header_missing | Request failed because a required header is missing. Make sure that all necessary authentication headers are being sent. | | 401 | Unauthorized Access Token | The value sent as Access Token is incorrect. Please check and try again with the correct value. | | 404 | resource_not_found | Request failed because the payment profile was not found. Verify that the payment profile ID, customer ID and caller ID are correct. | | 429 | Too Many Requests | Request failed because the request rate has been exceeded. Reduce the frequency or implement a retry system with exponential backoff. | | 500 | internal_server_error | Request failed due to an internal server error. Please try again later and, if the problem persists, contact Support with error details. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/customers/{customer_id}/payment-profiles/{payment_profile_id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": "7036b192b541454fa9b9990660dfa1b5", "created_date": "2024-05-22T14:03:28.653Z", "last_updated_date": "2024-05-22T14:03:28.653Z", "description": "Payment description", "max_day_overdue": 5, "statement_descriptor": "Test Descriptor", "status": "READY", "sequence_control": "AUTO", "payment_methods": [ { "payment_method_id": "64abf0f5-3e15-48a5-9be0-a8ac56bbd87a", "id": "visa", "type": "credit_card", "card_id": 1234567890, "status": "READY", "default_method": true } ] } ```